## mailfront 2.12

=== Makefile ===
# Don't edit Makefile!  Use conf-* for configuration.
#
# Generated by spac see http://untroubled.org/spac/

SHELL=/bin/sh

DEFAULT: all

all: libraries programs docs

auto_testcvm.c: 
	echo \#define TESTCVM_UID $$(id -u) > $@
	echo \#define TESTCVM_GID $$(id -g) >> $@
	echo \#define TESTCVM_PWD \"$$(pwd)\" >> $@

backend-echo.so: makeso backend-echo.c mailfront.h responses.h constants.h
	./makeso backend-echo.c  -lbg 

backend-qmail.so: makeso backend-qmail.c mailfront.h responses.h constants.h conf_qmail.c
	./makeso backend-qmail.c  -lbg 

backend-queuedir.so: makeso backend-queuedir.c mailfront.h responses.h constants.h queuedir.c
	./makeso backend-queuedir.c queuedir.c -lbg 

builtins.o: compile builtins.c mailfront-internal.h mailfront.h responses.h constants.h
	./compile builtins.c

clean: TARGETS
	rm -f `cat TARGETS`

clean-spac: clean AUTOFILES
	rm -f `cat AUTOFILES`

compile: conf-cc
	( echo '#!/bin/sh'; \
	  echo 'source=$$1; shift'; \
	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
	  echo exec `head -n 1 conf-cc` -I.  '-o $${base}.o -c $$source $${1+"$$@"}'; \
	) >compile
	chmod 755 compile

conf_modules.c: conf-modules
	head -n 1 conf-modules | \
	  sed -e 's/"/\\"/g' \
	      -e 's/^/const char conf_modules[] = "/' \
	      -e 's/$$/";/' >conf_modules.c

conf_qmail.c: conf-qmail
	head -n 1 conf-qmail | \
	  sed -e 's/"/\\"/g' \
	      -e 's/^/const char conf_qmail[] = "/' \
	      -e 's/$$/";/' >conf_qmail.c

dl.lib: compile load
	@echo -n 'Checking for -ldl: '
	@echo 'main() { ; }' >trylib-ldl.c
	@{ ./compile trylib-ldl.c && ./load trylib-ldl -ldl; } >/dev/null 2>&1 \
	  && { echo -ldl >dl.lib; echo yes; } \
	  || { echo -n >dl.lib; echo no; }
	@rm -f trylib-ldl.c trylib-ldl.o trylib-ldl

docs: 

getprotoenv.o: compile getprotoenv.c mailfront.h responses.h constants.h
	./compile getprotoenv.c

imapfront-auth: imapfront-auth.o load timeout.o socket.lib
	./load imapfront-auth timeout.o -lcvm-sasl -lcvm-v2client -lbg `cat socket.lib`

imapfront-auth.o: compile imapfront-auth.c
	./compile imapfront-auth.c

install: INSTHIER conf-bin conf-modules conf-include
	bg-installer -v <INSTHIER
	bg-installer -c <INSTHIER

iobytes.o: compile iobytes.c
	./compile iobytes.c

libraries: pop3.a plugin-starttls-ucspi.so plugin-rbl.so plugin-clamav.so plugin-cvm-authenticate.so plugin-patterns.so backend-echo.so plugin-counters.so backend-qmail.so plugin-cvm-validate.so protocol-qmtp.so backend-queuedir.so plugin-check-fqdn.so plugin-mailrules.so protocol-smtp.so plugin-add-received.so plugin-qmail-validate.so protocol-qmqp.so plugin-spamassassin.so

load: conf-ld
	( echo '#!/bin/sh';\
	  echo 'main="$$1"; shift';\
	  echo exec `head -n 1 conf-ld` -L. '-o "$$main" "$$main.o" $${1+"$$@"}'; \
	) >load
	chmod 755 load

lua: plugin-lua.so

mailfront: mailfront.o load builtins.o getprotoenv.o iobytes.o modules.o responses.o session.o timeout.o socket.lib dl.lib
	./load mailfront builtins.o getprotoenv.o iobytes.o modules.o responses.o session.o timeout.o -lbg -rdynamic `cat socket.lib` `cat dl.lib`

mailfront.o: compile mailfront.c mailfront-internal.h mailfront.h responses.h constants.h
	./compile mailfront.c

makelib: 
	( echo '#!/bin/sh'; \
	  echo 'lib="$$1"; shift';\
	  echo 'rm -f "$$lib"';\
	  echo 'ar cr "$$lib" $${1+"$$@"}';\
	  echo 'ranlib "$$lib"';\
	) >makelib
	chmod 755 makelib

makeso: conf-ccso conf-ld
	( echo '#!/bin/sh'; \
	  echo 'source=$$1; shift'; \
	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
	  echo exec `head -n 1 conf-ccso` -DSHARED -I. -L. '-o $${base}.so $$source $${1+"$$@"}'; \
	) >makeso
	chmod 755 makeso

modules.o: compile modules.c mailfront-internal.h mailfront.h responses.h constants.h conf_modules.c
	./compile modules.c

plugin-add-received.so: makeso plugin-add-received.c mailfront.h responses.h constants.h
	./makeso plugin-add-received.c  -lbg 

plugin-check-fqdn.so: makeso plugin-check-fqdn.c mailfront.h responses.h constants.h
	./makeso plugin-check-fqdn.c  -lbg 

plugin-clamav.so: makeso plugin-clamav.c mailfront.h responses.h constants.h
	./makeso plugin-clamav.c  -lbg 

plugin-counters.so: makeso plugin-counters.c mailfront.h responses.h constants.h
	./makeso plugin-counters.c  -lbg 

plugin-cvm-authenticate.so: makeso plugin-cvm-authenticate.c mailfront.h responses.h constants.h
	./makeso plugin-cvm-authenticate.c  -lcvm-sasl -lcvm-v2client -lbg 

plugin-cvm-validate.so: makeso plugin-cvm-validate.c mailfront.h responses.h constants.h
	./makeso plugin-cvm-validate.c  -lcvm-v2client -lbg 

plugin-lua.so: makeso plugin-lua.c mailfront.h responses.h constants.h
	./makeso plugin-lua.c  -lbg -llua 

plugin-mailrules.so: makeso plugin-mailrules.c mailfront.h responses.h constants.h
	./makeso plugin-mailrules.c  -lbg 

plugin-patterns.so: makeso plugin-patterns.c mailfront.h responses.h constants.h
	./makeso plugin-patterns.c  -lbg 

plugin-qmail-validate.so: makeso plugin-qmail-validate.c mailfront.h responses.h constants.h conf_qmail.c
	./makeso plugin-qmail-validate.c  -lbg 

plugin-rbl.so: makeso plugin-rbl.c mailfront.h responses.h constants.h queuedir.c
	./makeso plugin-rbl.c queuedir.c -lbg 

plugin-spamassassin.so: makeso plugin-spamassassin.c mailfront.h responses.h constants.h
	./makeso plugin-spamassassin.c  -lbg 

plugin-starttls-ucspi.so: makeso plugin-starttls-ucspi.c mailfront.h responses.h constants.h
	./makeso plugin-starttls-ucspi.c  -lbg 

pop3-capa.o: compile pop3-capa.c pop3.h constants.h
	./compile pop3-capa.c

pop3-mainloop.o: compile pop3-mainloop.c pop3.h constants.h
	./compile pop3-mainloop.c

pop3-response.o: compile pop3-response.c pop3.h constants.h
	./compile pop3-response.c

pop3.a: makelib iobytes.o timeout.o pop3-capa.o pop3-mainloop.o pop3-response.o
	./makelib pop3.a iobytes.o timeout.o pop3-capa.o pop3-mainloop.o pop3-response.o

pop3front-auth: pop3front-auth.o load pop3.a socket.lib
	./load pop3front-auth pop3.a -lcvm-sasl -lcvm-v2client -lbg `cat socket.lib`

pop3front-auth.o: compile pop3front-auth.c pop3.h constants.h
	./compile pop3front-auth.c

pop3front-maildir: pop3front-maildir.o load pop3.a
	./load pop3front-maildir pop3.a -lbg -lcvm-sasl -lcvm-v2client 

pop3front-maildir.o: compile pop3front-maildir.c pop3.h constants.h
	./compile pop3front-maildir.c

programs: mailfront imapfront-auth pop3front-maildir pop3front-auth testcvm qmqpfront-echo smtpfront-echo qmtpfront-qmail qmtpfront-echo qmqpfront-qmail smtpfront-qmail

protocol-qmqp.so: makeso protocol-qmqp.c mailfront.h responses.h constants.h qmtp.h qmtp-respond.c netstring.c
	./makeso protocol-qmqp.c qmtp-respond.c netstring.c -lbg 

protocol-qmtp.so: makeso protocol-qmtp.c mailfront.h responses.h constants.h qmtp.h qmtp-respond.c netstring.c
	./makeso protocol-qmtp.c qmtp-respond.c netstring.c -lbg 

protocol-smtp.so: makeso protocol-smtp.c mailfront.h responses.h constants.h
	./makeso protocol-smtp.c  -lbg 

qmqpfront-echo: warn-auto.sh qmqpfront-echo.sh
	cat warn-auto.sh qmqpfront-echo.sh >qmqpfront-echo
	chmod 755 qmqpfront-echo

qmqpfront-qmail: warn-auto.sh qmqpfront-qmail.sh
	cat warn-auto.sh qmqpfront-qmail.sh >qmqpfront-qmail
	chmod 755 qmqpfront-qmail

qmtpfront-echo: warn-auto.sh qmtpfront-echo.sh
	cat warn-auto.sh qmtpfront-echo.sh >qmtpfront-echo
	chmod 755 qmtpfront-echo

qmtpfront-qmail: warn-auto.sh qmtpfront-qmail.sh
	cat warn-auto.sh qmtpfront-qmail.sh >qmtpfront-qmail
	chmod 755 qmtpfront-qmail

responses.o: compile responses.c responses.h
	./compile responses.c

session.o: compile session.c mailfront-internal.h mailfront.h responses.h constants.h
	./compile session.c

smtpfront-echo: warn-auto.sh smtpfront-echo.sh
	cat warn-auto.sh smtpfront-echo.sh >smtpfront-echo
	chmod 755 smtpfront-echo

smtpfront-qmail: warn-auto.sh smtpfront-qmail.sh
	cat warn-auto.sh smtpfront-qmail.sh >smtpfront-qmail
	chmod 755 smtpfront-qmail

socket.lib: compile load
	@echo -n 'Checking for socket libraries: '
	@echo 'main() { ; }' >trylib-lsocket.c
	@{ ./compile trylib-lsocket.c && ./load trylib-lsocket -lsocket -lnsl; } >/dev/null 2>&1 \
	  && { echo -lsocket -lnsl >socket.lib; echo -lsocket -lnsl; } \
	  || { : >socket.lib; echo no; }
	@rm -f trylib-lsocket.c trylib-lsocket.o trylib-lsocket

testcvm: testcvm.o load
	./load testcvm  -lcvm-module -lbg 

testcvm.o: compile testcvm.c auto_testcvm.c
	./compile testcvm.c

timeout.o: compile timeout.c
	./compile timeout.c

=== debian/changelog ===
mailfront (2.12-3) unstable; urgency=medium

  * QA upload.
  - debian/rules: Do not try to save the original conf-* files, as they
    are created from scratch every time the package is built.
  - debian/clean: Remove those files here instead.
  * The above two changes will make the source package to be buildable
    after a successful binary build. Closes: #1047276.
  * debian/rules: Actually run the tests in dh_auto_test.
  [ Daniel Lenharo de Souza ]
  * Add fields Vcs-Git and Vcs-Browser.

 -- Santiago Vila <sanvila@debian.org>  Mon, 08 Jul 2024 19:35:00 +0200

mailfront (2.12-2) unstable; urgency=medium

  * QA upload.
  * Switch to "dh" and debhelper compat 13. (Closes: #1011036)
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/control: Update to Standards-Version 4.6.1.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 15 May 2022 15:26:58 -0700

mailfront (2.12-1) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA group.
  * Fix FTBFS for misuse of 'accept' (Closes: #895669)
  * Make the source packable by modern dpkg.
  * Switch to source format 3.0 (quilt).
  * Import upstream's GPG key.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 04 Feb 2019 01:39:42 +0100

mailfront (2.12-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop patches, upstream
  * Disable rbl tests, they seems to be flaky and requiring
    an internet connection (moreover, the rbl plugin is a new one).
  * New upstream release, fixing the bglibs incompatibility (Closes: #831596)
  * Change build-dependency to pick up unversioned libbg-dev package
  * Add lua dependency and plugin

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Dec 2017 17:06:23 +0100

mailfront (1.16-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patches from myself and Valerie Young to make build reproducible.
    (Closes: #777431, #847020)

 -- Chris Lamb <lamby@debian.org>  Thu, 28 Sep 2017 09:38:21 +0100

mailfront (1.16-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Thu, 15 Apr 2010 01:32:03 +0000

mailfront (1.11-1) unstable; urgency=low

  * debian/control: fix spelling in long description (thx Simon Waters,
    closes: #390053).
  * new upstream version.
  * debian/rules: adapt.
  * debian/diff/no-sfqmail-tests.diff,debian/diff/tests-find-sort.diff:
    remove; obsolete.
  * debian/implicit: update to revision a09db2e.
  * debian/README.Debian.diet: remove for now.
  * debian/mailfront.docs: remove debian/README.Debian.diet.
  * debian/control: Build-Depends: libbg1-dev, libcvm1-dev;
    Standards-Version: 3.7.3.0.
  * debian/diff/0001-Makefile-avoid-rpath.diff: new; Makefile: avoid
    rpath.

 -- Gerrit Pape <pape@smarden.org>  Sat, 03 May 2008 07:09:38 +0000

mailfront (0.98-2) unstable; urgency=low

  * debian/diff/tests-find-sort.diff: new: sort output from find (closes:
    #361557).

 -- Gerrit Pape <pape@smarden.org>  Sun, 16 Apr 2006 13:31:57 +0000

mailfront (0.98-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/no-sfqmail-tests.diff: adapt.

 -- Gerrit Pape <pape@smarden.org>  Wed,  2 Nov 2005 20:54:07 +0000

mailfront (0.97-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Standards-Version: 3.6.2.0.
  * debian/rules: cleanup.

 -- Gerrit Pape <pape@smarden.org>  Wed,  5 Oct 2005 11:33:18 +0000

mailfront (0.96-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/static-vs-global.diff: remove; fixed upstream.
  * debian/mailfront.NEWS.Debian: new; note about pattern matching change.

 -- Gerrit Pape <pape@smarden.org>  Sun, 17 Jul 2005 19:58:10 +0000

mailfront (0.95-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: bglibs-dev (>> 1.022-0); Build-Depends:
    cvm (>> 0.71-0), freecdb for selftests.
  * debian/diff/no-sfqmail-tests.diff: new; skip smtpfront-auth-login and
    smtpfront-auth-plain selftests.
  * debian/rules: install: don't install target directories, make install
    now does; use $install_prefix with new bg-installer; build: run
    selftests.

 -- Gerrit Pape <pape@smarden.org>  Fri, 17 Jun 2005 16:27:24 +0000

mailfront (0.94-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: bglibs-dev (>> 1.020-0), cvm-dev
    (>> 0.71-0).
  * debian/diff/diet-pop3front.diff: remove; obsolete (with dietlibc 0.29).
  * debian/rules: use upstream install target.

 -- Gerrit Pape <pape@smarden.org>  Mon,  6 Jun 2005 18:39:02 +0000

mailfront (0.93-1) unstable; urgency=low

  * new upstream version.
  * debian/control: remove version restrictions from Build-Depends:
    bglibs-dev, cvm-dev.
  * debian/copyright: 2005.
  * debian/diff/svn-20041206.diff: remove; obsolete.
  * debian/diff/diet-pop3front.diff: new; fix linker failure with diet libc
    with programs that have main() in pop3-mainloop.o, included in pop3.a
    archive.

 -- Gerrit Pape <pape@smarden.org>  Sun, 24 Apr 2005 16:57:49 +0000

mailfront (0.92-3) unstable; urgency=low

  * debian/diff/static-vs-global.diff: new; rename static variable which
    also is defined globally (closes: #287632).
  * debian/README.Debian.diet: typo.
  * debian/control: start short description lowercase.
  * debian/rules: cleanup; handle patches and configure stage more
    gracefully.
  * debian/etc/smtpfront-qmail/log/run: let svlogd add human-readable
    timestamps.

 -- Gerrit Pape <pape@smarden.org>  Thu, 27 Jan 2005 09:00:57 +0000

mailfront (0.92-2) unstable; urgency=low

  * debian/diff/svn-20041206.diff: new; bug fixes from upstream svn:
    - Fixed bug in pattern matching where the pattern was longer than the
      line that would other match.
    - Fixed bug in parsing the databytes column in mail rules.
    - Fixed omission of not resetting maxdatabytes, which could be set by
      a rule, after checking for sender rules.
    - Fixed bug in handling multiple sender or recipient specific rules.


=== debian/control ===
Source: mailfront
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libbg-dev, liblua5.1-0-dev, libcvm1-dev, cvm, freecdb
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/debian/mailfront.git
Vcs-Browser: https://salsa.debian.org/debian/mailfront
Rules-Requires-Root: no

Package: mailfront
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: runit, ipsvd
Description: mail server network protocol front-ends
 mailfront is a set of customizable network front-ends for mail servers.
 It contains complete SMTP, QMQP, QMTP, and POP3 front-ends as well as an
 authentication module for IMAP.  The mail delivery front-ends also contain
 internal address filtering features.
 .
 Two SMTP back-ends are provided.  One delivers mail to qmail-queue,
 mimicking most of the behavior of qmail-smtpd, with the addition of
 support for SMTP AUTH.  The other rejects all SMTP commands if $SMTPREJECT
 is set, and execs its command line otherwise (in order to run the above
 program).

=== debian/rules ===
#!/usr/bin/make -f

DIR =$(shell pwd)/debian/mailfront

%:
	dh $@

override_dh_auto_configure:
	echo '/usr/sbin' >conf-bin
	echo '/usr/include/bglibs' >conf-bgincs
	echo '/usr/lib' >conf-bglibs
	echo '$(CC) $(CFLAGS)' >conf-cc
	echo '$(CC) $(CFLAGS) -fPIC -shared' >conf-ccso
	echo '$(CC)' >conf-ld
	echo '/usr/include' >conf-include
	echo '/usr/lib/mailfront' >conf-modules
	echo '/var/lib/qmail' >conf-qmail

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -- lua

override_dh_auto_test:
	sh tests.sh

override_dh_auto_install:
	dh_auto_install -- install_prefix='$(DIR)'
	# service directories
	install -d -m0755 \
	  '$(DIR)'/usr/share/doc/mailfront/etc/smtpfront-qmail/log
	install -m0644 debian/etc/smtpfront-qmail/run \
	  '$(DIR)'/usr/share/doc/mailfront/etc/smtpfront-qmail/run
	install -m0644 debian/etc/smtpfront-qmail/log/run \
	  '$(DIR)'/usr/share/doc/mailfront/etc/smtpfront-qmail/log/run
	install -d -m0755 \
	  '$(DIR)'/usr/share/doc/mailfront/etc/smtpfront-qmail/peers
	install -m0644 debian/etc/smtpfront-qmail/peers/127 \
	  '$(DIR)'/usr/share/doc/mailfront/etc/smtpfront-qmail/peers/127

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/mailfront/usr/lib/mailfront/*.so

override_dh_installman:
	dh_installman debian/man/*.8

## mailfront 2.12-0.1

=== Makefile ===
--- 
+++ 
@@ -133,7 +133,7 @@
 	./makeso plugin-cvm-validate.c  -lcvm-v2client -lbg 
 
 plugin-lua.so: makeso plugin-lua.c mailfront.h responses.h constants.h
-	./makeso plugin-lua.c  -lbg -llua 
+	./makeso plugin-lua.c  -lbg -llua5.1 -I/usr/include/lua5.1
 
 plugin-mailrules.so: makeso plugin-mailrules.c mailfront.h responses.h constants.h
 	./makeso plugin-mailrules.c  -lbg

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,13 @@
 Source: mailfront
 Section: mail
-Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 13), libbg-dev, liblua5.1-0-dev, libcvm1-dev, cvm, freecdb
-Standards-Version: 4.6.1
-Vcs-Git: https://salsa.debian.org/debian/mailfront.git
-Vcs-Browser: https://salsa.debian.org/debian/mailfront
-Rules-Requires-Root: no
+Priority: extra
+Maintainer: Gerrit Pape <pape@smarden.org>
+Build-Depends: libbg-dev, liblua5.1-0-dev, libcvm1-dev, cvm, freecdb
+Standards-Version: 3.7.3.0
 
 Package: mailfront
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
 Recommends: runit, ipsvd
 Description: mail server network protocol front-ends
  mailfront is a set of customizable network front-ends for mail servers.
